using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Shopping : MonoBehaviour
{
    private bool playerInRange;
    public Item sellItem = null;
    //public GameObject[] itemForSale = new GameObject[2];
    public List<GameObject> itemForSale = new List<GameObject>();

    // Start is called before the first frame update
    void Start()
    {

    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.E) && playerInRange && sellItem && itemForSale.Count>0)
        {
            switch (sellItem.id)
            {
                case 1:
                    Dialog.instance.setSituation("boutiqueChaussure");
                    break;
                case 2:
                    Dialog.instance.setSituation("boutiqueBaton");
                    break;
                case 3:
                    Dialog.instance.setSituation("boutiqueRechaud");
                    break;
                case 4:
                    Dialog.instance.setSituation("boutiqueTente");
                    break;
            }
            Inventory.instance.addItem(sellItem);
            Debug.Log(sellItem.name.ToString() + " a bien ete ajouté a l'inventaire");
        }
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (collision.CompareTag("Player"))
        {
            playerInRange = true;
        }
    }

    private void OnTriggerExit2D(Collider2D collision)
    {
        playerInRange = false;
    }
}
